Agora Java API Reference for Android

Classes | Public Member Functions | List of all members
io.agora.rtc2.IH265TranscoderObserver Interface Reference

## Classes
enum | H265TranscodeResult

## Public Member Functions
void | onEnableTranscode (int result)
void | onQueryChannel (int result, String originChannel, String transcodeChannel)
void | onTriggerTranscode (int result)

## Detailed Description

The IH265TranscoderObserver interface.

## Member Function Documentation

## ◆ onEnableTranscode()

void io.agora.rtc2.IH265TranscoderObserver.onEnableTranscode | ( | int | result | ) |

Use to notify the result of invoking enableTranscode interface.

Parameters

  result | Result of invoking enableTranscode interface. There are some processing advice below of result. REQUEST_INVALID: Channel or uid param have a mistake, you need to check them for correctness. UNAUTHORIZED: Authentication failed, please check for correctness of token. TOKEN_EXPIRED: The token has expired, you need to generate a new token. FORBIDDEN: You need to contact agora staff to add the vid whitelist. NOT_FOUND: Indicates that the network may be faulty. TOO_OFTEN: Request is too often, please request again later. SERVER_INTERNAL_ERROR: The service has an internal error. A request can be made again.

## ◆ onQueryChannel()

void io.agora.rtc2.IH265TranscoderObserver.onQueryChannel | ( | int | result,
|  | String | originChannel,
|  | String | transcodeChannel
| ) |  |

Use to notify the result of invoking queryChannel interface.

Parameters

  result | Result of invoking queryChannel interface. There are some processing advice below of result. UNAUTHORIZED: Authentication failed, please check for correctness of token. TOKEN_EXPIRED: The token has expired, you need to generate a new token. NOT_FOUND: Indicates that the network may be faulty or the channel param may be is empty. TOO_OFTEN: Request is too often, please request again later. SERVER_INTERNAL_ERROR: The service has an internal error. A request can be made again.
  originChannel | Origin channel id.
  transcodeChannel | Transcode channel id.

## ◆ onTriggerTranscode()

void io.agora.rtc2.IH265TranscoderObserver.onTriggerTranscode | ( | int | result | ) |

Use to notify the result of invoking triggerTranscode interface.

Parameters

  result | Result of invoking triggerTranscode interface. There are some processing advice below of result. UNAUTHORIZED: Authentication failed, please check for correctness of token. TOKEN_EXPIRED: The token has expired, you need to generate a new token. NOT_FOUND: Indicates that the network may be faulty or the channel param may be is empty. CONFLICTED: The request of trigger transcode is conflicted, please try again. TOO_OFTEN: Request is too often, please request again later. SERVER_INTERNAL_ERROR: The service has an internal error. A request can be made again. SERVICE_UNAVAILABLE: May be the number of transcode service is over the limit.